Create a new project within an organisation
POST
/api/v1/organisations/{organisation_id}/projects
const url = 'https://example.com/api/v1/organisations/f81d4fae-7dec-11d0-a765-00a0c91e6bf6/projects';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"admin_email":"example","allowed_device_types":["example"],"description":"example","name":"example","queue_priority":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/organisations/f81d4fae-7dec-11d0-a765-00a0c91e6bf6/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "admin_email": "example", "allowed_device_types": [ "example" ], "description": "example", "name": "example", "queue_priority": "example" }'Creates a project belonging to the organisation, inheriting the organisation's pricing. The project's queue priority and allowed device types may not exceed the organisation's. Restricted to superusers and managers of the organisation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organisation_id
required
Array<number>
Example
f81d4fae-7dec-11d0-a765-00a0c91e6bf6The ID of the organisation
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
admin_email
required
string
allowed_device_types
required
Array<string>
description
string
name
required
string
queue_priority
required
string
Examplegenerated
{ "admin_email": "example", "allowed_device_types": [ "example" ], "description": "example", "name": "example", "queue_priority": "example"}Responses
Section titled “ Responses ”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
object
allowed_device_types
required
Array<string>
allowed_workload_types
required
Array<string>
company
required
string
created_at
required
string format: date-time
description
required
string
email_domain
required
string
id
required
Array<number>
max_concurrent_job
required
number format: int32
name
required
string
organisation_id
required
Array<number>
package
required
string
project_status
required
string
project_type
required
string
queue_priority
required
string
updated_at
required
string format: date-time
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "data": { "id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6", "organisation_id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6" }, "message": "success", "status": "OK"}